
Redmine - Feature #7100

non admin closing/freeze (archive) and reopen projects

2010-12-13 12:30 - Daniel Herrera

Status: Closed Start date: 2010-12-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Due a big number of active projects, a great feature should be the close/freeze and reopen projects by the project leader. This way,

each project leader can manage and handle their own projects without seeing all the active projects as administrators. This feature is

based on an automanaged system where the project leaders becomes a part of the system administration.

The features #3640 and #5541 are related somehow to this feature.

Thanks for your time and consideration.

Related issues:

Is duplicate of Redmine - Feature #3640: Freeze / Close Projects Closed 2009-07-20

History

#1 - 2010-12-15 23:29 - Jean-Baptiste Barth

Sounds like a good idea. I don't think it would be that hard to implement in a plugin though.

#2 - 2010-12-16 15:48 - Daniel Herrera

It seems become popular give the Project Manager (PM) some administrator features. Collecting some open issues related (#3640, #5541, #7100

and #7118), the Project Manager should do:

Open Projects (already working)

Close Projects

Freeze Projects (as a not mandatory step before closing a project)

Browse Projects Archived

Reopen Archived/Freezed Projects

Copy/Clone Projects

Due the Redmine can handle a plenty of variety of projects, the PM could know anything about system administration, installation or configuration, so

it is important to establish the roles as flexible as possible with the aim of an automanaged system. If the PM can do the list described above, then

Redmine will become an automanaged system, free of the system administrator to manage the begining and end of projects.

I've used Redmine in Engineer/Construction, and in this case the PM's wants to open/close/reopen/freeze/copy projects as part of his/her

responsability. I hope this help to improve Redmine features.

If a plugin can be done, then I'll like to promote it somehow!

#3 - 2010-12-17 19:16 - Augusto Dias Pereira dos Santos

+1

#4 - 2010-12-20 14:38 - Daniel Herrera

Is it possible to add this feature request as part of an Unplanned version?

#5 - 2011-01-18 18:41 - Nathanael Waite

+1

This would be a feature we would support.

#6 - 2011-05-23 13:40 - Daniel Herrera

I found a solution using project tree plugins. What I did was create a parent project which contains the "closed" project, and stablish a role permision

to the PM in order to check the colsed issues. Also the PM can "reopen" the project moving it out from the parent project.

If someone wants more detail on this solution I'll happy to help.
#7 - 2011-12-15 11:59 - Eric Voisard

+1

#8 - 2012-06-25 20:58 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #3640 planned for 2.1.0.

#9 - 2017-02-22 21:13 - Mischa The Evil

- Related to deleted (Feature #7118: Possibility to allow users to copy a project)

Powered by TCPDF (www.tcpdf.org)

2025-07-11 2/2

https://www.redmine.org/issues/3640
http://www.tcpdf.org

